import { createApp } from 'vue'
// import CSS global
import './assets/style.css'
// import app vue racine
import App from './App.vue'
// import composants
import AboutPannel from './components/AboutPannel.vue'
import ContactPannel from './components/ContactPannel.vue'
import WorkshopPannel from './components/WorkshopPannel.vue'
import ImagePannel from './components/ImagePannel.vue'


// création app racine
const app = createApp(App);

//Composants
app.component('aboutPannel', AboutPannel);
app.component('contactPannel', ContactPannel);
app.component('workshopPannel', WorkshopPannel);
app.component('imagePannel', ImagePannel);



//Démarrage dans div#app de index.html
app.mount('#app');
